Bug 20241 - Fix display of publication year in subscription record search for MARC21
Summary: Fix display of publication year in subscription record search for MARC21
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Serials (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Target Milestone: ---
Assignee: Katrin Fischer
QA Contact: Martin Renvoize
URL:
Whiteboard:
Keywords: Academy
Depends on:
Blocks:
 
Reported: 2018-02-18 14:01 UTC by Katrin Fischer
Modified: 2018-10-24 09:13 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 20241: Fix display of publication year in subscription record search for MARC21 (1.53 KB, patch)
2018-08-12 21:31 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 20241: Fix display of publication year in subscription record search for MARC21 (1.58 KB, patch)
2018-09-25 10:50 UTC, Michal Denar
Details | Diff | Splinter Review
Bug 20241: Fix display of publication year in subscription record search for MARC21 (1.65 KB, patch)
2018-09-27 13:48 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2018-02-18 14:01:51 UTC
When creating a new subscription and searching for a bibliographic record, the result list will never show the publication year even if one exists.

I think this might be because it attempts to show publicationyear (used for UNIMARC installations) instead of copyrightdate which is used for MARC21 installations.
Comment 1 Katrin Fischer 2018-08-12 21:31:47 UTC
Created attachment 77735 [details] [review]
Bug 20241: Fix display of publication year in subscription record search for MARC21

The old problem: UNIMARC uses biblio.publicationyear, MARC21 uses
biblio.copyrightdate. Patch adds a fallback, if there is nothing
in publicationyear, copyrightdate will be displayed.

To test:
  - In a MARC21 database
  - Add a new subscription
  - Search for records
  - Verify the publication year column remains empty
  - Apply patch
  - Repeat search
  - Verify that the year now shows
Comment 2 Michal Denar 2018-09-25 10:50:10 UTC
Created attachment 79361 [details] [review]
Bug 20241: Fix display of publication year in subscription record search for MARC21

The old problem: UNIMARC uses biblio.publicationyear, MARC21 uses
biblio.copyrightdate. Patch adds a fallback, if there is nothing
in publicationyear, copyrightdate will be displayed.

To test:
  - In a MARC21 database
  - Add a new subscription
  - Search for records
  - Verify the publication year column remains empty
  - Apply patch
  - Repeat search
  - Verify that the year now shows

https://bugs.koha-community.org/show_bug.cgi?id=20421

Signed-off-by: Michal Denar <black23@gmail.com>
Comment 3 Martin Renvoize 2018-09-27 13:48:24 UTC
Created attachment 79510 [details] [review]
Bug 20241: Fix display of publication year in subscription record search for MARC21

The old problem: UNIMARC uses biblio.publicationyear, MARC21 uses
biblio.copyrightdate. Patch adds a fallback, if there is nothing
in publicationyear, copyrightdate will be displayed.

To test:
  - In a MARC21 database
  - Add a new subscription
  - Search for records
  - Verify the publication year column remains empty
  - Apply patch
  - Repeat search
  - Verify that the year now shows

https://bugs.koha-community.org/show_bug.cgi?id=20421

Signed-off-by: Michal Denar <black23@gmail.com>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 4 Martin Renvoize 2018-09-27 13:48:51 UTC
Trivial Fix, Passing QA
Comment 5 Nick Clemens 2018-09-28 19:56:10 UTC
Awesome work all!

Pushed to master for 18.11
Comment 6 Martin Renvoize 2018-10-03 09:37:39 UTC
Pushed to 18.05.x for 18.05.05
Comment 7 Fridolin SOMERS 2018-10-10 10:08:06 UTC
Pushed to 17.11.x for 17.11.11